




.aside {
  display: flex;
  flex-direction: column;
  box-shadow: get($aside-config, box-shadow);
  padding: 0;

  
  .btn-custom {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 0;
    padding-right: 0;

    .btn-label {
      transition: opacity get($aside-config, transition-speed) ease;
      display: inline-block;
      white-space: nowrap;
      overflow: hidden;
      opacity: 1;
    }

    .btn-icon {
      display: inline-block;
      transition: opacity get($aside-config, transition-speed) ease;
      overflow: hidden;
      opacity: 0;
      margin: 0;
      width: 0;
    }
  }

  
  &.aside-dark {
    background-color: get($aside-config, bg-color);

    
    .aside-logo {
      background-color: darken(get($aside-config, bg-color), 3%);
    }

    
    .aside-toggle {
      @include svg-icon-color(#494b74);
    }

    
    .separator {
      border-bottom-color: #282a3d;
    }

    
    .btn-custom {
      
      @include button-custom-variant(
        #b5b5c3,
        null,
        null,
        rgba(63, 66, 84, 0.35),
        #b5b5c3,
        null,
        null,
        rgba(63, 66, 84, 0.35)
      );

      .btn-icon {
        color: #b5b5c3;
        @include svg-icon-color(#b5b5c3);
      }
    }
  }

  
  &.aside-light {
    background-color: $white;
  }
}


@include media-breakpoint-up(lg) {
  .aside {
    width: get($aside-config, width);
    transition: width get($aside-config, transition-speed) ease;

    
    .aside-logo {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: get($header-config, default, height, desktop);
      padding: 0 get($aside-config, padding-x);
    }

    
    .aside-menu {
      width: get($aside-config, width);
    }

    
    .aside-fixed & {
      position: fixed;
      top: 0;
      bottom: 0;
      left: 0;
      z-index: get($aside-config, z-index);
      overflow: hidden;
    }

    
    .aside-static & {
      position: relative;
      z-index: 1;
    }

    
    [data-kt-aside-minimize='on'] & {
      width: get($aside-config, minimized-width);
      transition: width get($aside-config, transition-speed) ease;

      
      .aside-logo {
        .logo-default {
          display: inline-block;
        }

        .logo-minimize {
          display: none;
        }
      }

      
      &.aside-hoverable:hover:not(.animating) {
        transition: width get($aside-config, transition-speed) ease;
        width: get($aside-config, width);
        box-shadow: get($aside-config, minimized-hover-box-shadow);
      }

      
      &:not(.aside-hoverable),
      &:not(:hover) {
        
        .aside-logo {
          justify-content: center;

          .logo {
            display: none;
          }

          .logo-default {
            display: none;
          }

          .logo-minimize {
            display: inline-block;
          }
        }

        
        .aside-menu {
          .menu-content,
          .menu-title {
            opacity: 0;
            transition: opacity get($aside-config, transition-speed) ease;
          }

          .menu-item.show > .menu-sub {
            height: 0;
            overflow: hidden;
            transition: height get($aside-config, transition-speed) ease;
          }
        }

        
        .btn-custom {
          .btn-label {
            width: 0;
            opacity: 0;
            transition: opacity get($aside-config, transition-speed) ease;
          }

          .btn-icon {
            width: auto;
            opacity: 1;
            transition: opacity get($aside-config, transition-speed) ease;
          }
        }
      }
    }
  }
}


@include media-breakpoint-down(lg) {
  .aside {
    display: none;

    
    .aside-logo {
      display: none;
    }
  }
}
